﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Syncfusion.Windows.Controls.Gantt;
using Syncfusion.Windows.Controls.Gantt.Chart;
using Syncfusion.Windows.Shared;

namespace ResourceView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
            Gantt.Loaded += Gantt_Loaded;
        }

        private void Gantt_Loaded(object sender, RoutedEventArgs e)
        {
            GanttChart chart = this.Gantt.FindElementOfType<GanttChart>();
            chart.PreviewMouseLeftButtonDown += Chart_PreviewMouseLeftButtonDown;
        }

        private void Chart_PreviewMouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            Item selectedInLineItem = null;
            Border border = e.OriginalSource as Border;
            if (border != null && border.DataContext is Item)
            {
                selectedInLineItem = border.DataContext as Item;
            }
            if (selectedInLineItem == null)
            {
                Grid grid = e.OriginalSource as Grid;
                if (grid != null && grid.DataContext is Item)
                {
                    selectedInLineItem = grid.DataContext as Item;
                }
            }

            if (selectedInLineItem != null)
            {
                this.SelectedItemLable.Content = selectedInLineItem.Name;
            }
            else
            {
                this.SelectedItemLable.Content = "null";
            }
        }
    }
}
